The UserPresence class represents the Presence state of a single domain user within Convergence. An instance of UserPresence can be obtained from the PresenceService.

### Hierarchy

- UserPresence

## Index

### Properties

- available
- user

### Accessors

- state

## Properties

### available

available: boolean

True if the user is online in at least one session, false otherwise.

### user

user: DomainUser

The domain user that this instance represents the presence of.

## Accessors

### state

- get state(): Map<string, any>

- Returns the current state associated with this user's online presence.

  #### Returns Map<string, any>